<!-- 
  <ul>
    <li *ngFor="let nome of nomes">
      {{nome}}
    </li>
  </ul>
-->

<!-- <ul>
  <li *ngFor="let nome of nomes, let i = index">
    {{i}} - {{nome}}
  </li>
</ul> -->

<!-- <ul>
  <li *ngFor="let nome of nomes, let i = index" [hidden]="i % 2 === 1">
    {{i}} - {{nome}}
  </li>
</ul> -->

<!-- 
<ul>
  <li *ngFor="let nome of nomes, let i = index">
    <p *ngIf="i % 2 === 1">{{i}} - {{nome}}</p>
  </li>
</ul> -->

<!-- <input type="text" #search placeholder="Search" (keyup)="searchForValue(search.value)">

<ul>
  <li *ngFor="let nome of filtered">
    {{nome}}
  </li>
</ul> -->

<div>
  <input type="text" #search placeholder="Buscar por id">
  <button (click)="retorno = buscarPessoaPorId(search.value)">Buscar</button>
</div>

<p>Salarios</p>
<p>{{ getValorTotal() }}</p>

<p *ngIf="!!retorno">{{ retorno.id }} - {{ retorno.nome }}</p>

<button (click)="aumentarSalario()">Aumentar salario</button>

<p>{{ todosGanhamMaisQue500() ? 'Todos ganham mais que 500' : 'Nem todos ganham mais que 500' }}</p>


<input type="text" #searchGenerico placeholder="Search" (keyup)="buscaGenerica(searchGenerico.value)">

<ul>
  <li *ngFor="let pessoa of pessoasFiltradas">
    {{pessoa.nome}}
  </li>
</ul>
